# Uses of Interface
org.eclipse.emf.cdo.net4j.CDOSession

Packages that use CDOSession
Package
Description
org.eclipse.emf.cdo.net4j
Client concepts for dealing with Net4j-based sessions to remote repositories.

## Uses of CDOSession in org.eclipse.emf.cdo.net4j

Methods in org.eclipse.emf.cdo.net4j that return CDOSession
Modifier and Type
Method
Description
`static CDOSession`
CDONet4jUtil.`getSession(org.eclipse.net4j.util.container.IManagedContainer container, String description)`
Deprecated.
Use `getNet4jSession()`.
`protected CDOSession`
CDONet4jViewProvider.`getSession(org.eclipse.net4j.connector.IConnector connector, String userName, String passWord, String repositoryName)`
Deprecated.
Use `getNet4jSession()`.
`CDOSession`
CDONet4jSessionConfiguration.`openSession()`
Deprecated.
Use `openNet4jSession()`.
Methods in org.eclipse.emf.cdo.net4j that return types with arguments of type CDOSession
Modifier and Type
Method
Description
`org.eclipse.net4j.signal.ISignalProtocol<CDOSession>`
CDOSession.Options.`getProtocol()`
Deprecated.
Kept for 4.0 compatibility.